#$id: "https://myome.com/schemas/v1/Process.json"
$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Process"
type: "object"

properties:
  process_id:
    type:
      string
  name:
    type:
      string
  description:
    type: string
  intake_process:
    type: array
  return_process:
    type: array
  # Intake and return are ideally the same regardless of the products selected
  # Need to think about how process and product interact 
  # when brains are fresh and intakes/returns are defined. 
required:
  - process_id
  - name
  - intake_process
  - return_process
